www/p5-libapreq2 - The NetBSD Packages Collection

Lots of Apache specific httpd handling modules

This package contains modules for manipulating client request data via
the Apache API with Perl and C.  Functionality includes:

 - parsing of application/x-www-form-urlencoded data
 - parsing of multipart/form-data
 - parsing of HTTP Cookies

Build dependencies

www/apache24 www/apache24 pkgtools/cwrappers www/apache24 devel/libtool-base devel/gmake lang/perl5

Runtime dependencies

devel/p5-ExtUtils-XSBuilder lang/perl5 lang/perl5 www/ap2-perl www/ap2-perl

Available binary packages

aarch64:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
aarch64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
aarch64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
alpha:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
alpha:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
alpha:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
earm:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
earmv6hf:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
earmv6hf:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
earmv6hf:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
earmv6hf:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
earmv7hf:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 8.0)
earmv7hf:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 8.0)
earmv7hf:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 8.0)
earmv7hf:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 8.0)
earmv7hf:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
earmv7hf:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
earmv7hf:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
earmv7hf:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
earmv7hf:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
i386:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 8.0)
i386:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 8.0)
i386:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 8.0)
i386:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
i386:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
i386:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
mips64eb:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
mips64eb:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
powerpc:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 8.0)
powerpc:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 8.0)
powerpc:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 8.0)
powerpc:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 8.0)
powerpc:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
powerpc:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
powerpc:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
sparc64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
sparc64:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
sparc64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
sparc:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
sparc:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 8.0)
x86_64:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 8.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 8.0)
x86_64:p5-ap24-libapreq2-2.13nb4.tgz(NetBSD 9.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)
x86_64:p5-ap24-libapreq2-2.13nb5.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]